Page Summary
-
This document details how to bulk edit user roles for a user using a POST request.
-
The process involves specifying user roles to delete and then user roles to create within the request body.
-
The request utilizes a required
userIdpath parameter to identify the user whose roles are being edited. -
A successful response will contain the list of assigned user roles that were successfully created.
-
The operation requires the
https://www.googleapis.com/auth/display-video-user-managementOAuth scope for authorization.
Bulk edits user roles for a user. The operation will delete the assigned user roles provided in BulkEditAssignedUserRolesRequest.deletedAssignedUserRoles and then assign the user roles provided in BulkEditAssignedUserRolesRequest.createdAssignedUserRoles.
HTTP request
POST https://displayvideo.googleapis.com/v1beta2/users/{userId}:bulkEditAssignedUserRoles
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
userId |
Required. The ID of the user to which the assigned user roles belong. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"deletedAssignedUserRoles": [
string
],
"createdAssignedUserRoles": [
{
object ( |
| Fields | |
|---|---|
deletedAssignedUserRoles[] |
The assigned user roles to delete in batch, specified as a list of |
createdAssignedUserRoles[] |
The assigned user roles to create in batch, specified as a list of |
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"createdAssignedUserRoles": [
{
object ( |
| Fields | |
|---|---|
createdAssignedUserRoles[] |
The list of assigned user roles that have been successfully created. This list will be absent if empty. |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video-user-management
For more information, see the OAuth 2.0 Overview.